classification
Title: Doc: warnings.rst - add links to references
Type: Stage: resolved
Components: Documentation Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: cheryl.sabella, docs@python, xtreak
Priority: normal Keywords: patch

Created on 2018-12-22 18:33 by cheryl.sabella, last changed 2019-05-20 22:45 by cheryl.sabella. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 11289 merged xtreak, 2018-12-22 19:24
Messages (7)
msg332362 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2018-12-22 18:33
In the docs for the warnings module, there is some text referencing other areas of the documentation that would be more helpful as links.
msg332363 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2018-12-22 19:04
I created a pull request for this, but it didn't attach it:
https://github.com/python/cpython/pull/11289
msg332365 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2018-12-22 19:29
@xtreak, thanks for adding the PR link.  I was going to ask you how to do it, but I see it now.  Completely missed it before.
msg332366 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python triager) Date: 2018-12-22 19:38
@cheryl.sabella You're welcome. PR was not automatically added to couple of my issues too today though the PR description and issue number check was updated by bedevere-bot. I don't know if it's a random issue.
msg332367 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2018-12-22 19:43
@xtreak, maybe it's related to the maintenance Ernest did yesterday on the bugs.python.org server?  Not sure the best way to ping him.
msg332368 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python triager) Date: 2018-12-22 20:39
You can bring this up at https://python.zulipchat.com/#narrow/stream/116501-workflow and someone might help.
msg342964 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2019-05-20 22:45
New changeset 6220c02e09e9f3a7458d32ad774ada0ba1571cb8 by Cheryl Sabella in branch 'master':
bpo-35563: Add reference links to warnings.rst (GH-11289)
https://github.com/python/cpython/commit/6220c02e09e9f3a7458d32ad774ada0ba1571cb8
History
Date User Action Args
2019-05-20 22:45:38cheryl.sabellasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-05-20 22:45:08cheryl.sabellasetmessages: + msg342964
2019-01-14 19:07:42cheryl.sabellalinkissue35732 superseder
2018-12-22 20:39:48xtreaksetmessages: + msg332368
2018-12-22 19:43:32cheryl.sabellasetmessages: + msg332367
2018-12-22 19:38:17xtreaksetnosy: + xtreak
messages: + msg332366
2018-12-22 19:29:51cheryl.sabellasetmessages: + msg332365
2018-12-22 19:24:26xtreaksetkeywords: + patch
stage: patch review
pull_requests: + pull_request10514
2018-12-22 19:04:31cheryl.sabellasetmessages: + msg332363
2018-12-22 18:33:28cheryl.sabellacreate